Bug 499970 - RFE: port libvirt to PolicyKit 1.0
Summary: RFE: port libvirt to PolicyKit 1.0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 515619 517112 (view as bug list)
Depends On:
Blocks: F12VirtTarget 515619
TreeView+ depends on / blocked
 
Reported: 2009-05-09 16:57 UTC by Matthias Clasen
Modified: 2014-01-20 10:30 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-08-14 17:33:27 UTC


Attachments (Terms of Use)
Fix for policy API/ABI breakage (13.99 KB, patch)
2009-08-04 13:44 UTC, Daniel Berrange
no flags Details | Diff

Description Matthias Clasen 2009-05-09 16:57:07 UTC
We are going to land polkit 1.0 in F12 soon. This is going to require changes
to polkit using applications. Thankfully, mostly simplifications.

See http://fedoraproject.org/wiki/Features/PolicyKitOne

Comment 1 Mark McLoughlin 2009-05-18 07:11:20 UTC
Some discussion related to this on fedora-devel-list:

  http://www.redhat.com/archives/fedora-devel-list/2009-May/thread.html#01332

Comment 2 Bug Zapper 2009-06-09 15:33:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Matthias Clasen 2009-07-09 00:02:34 UTC
Has anybody looked at this ?

Comment 4 Adam Williamson 2009-07-17 18:27:56 UTC
We discussed this at the release blocker bug meeting this morning. Eventually we decided to go with Jesse Keating's position: until all PolicyKit 1.0 ports are done, the old PolicyKit packages will be kept in F12. Thus we would not delay the release if all ports were not complete for release time, but just complete them as post-release updates. Thus 'port to PolicyKit 1.0' bugs are not release critical. Hence downgrading to F12Target.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Daniel Berrange 2009-07-17 18:42:39 UTC
FYI  I don't expect to have this bug fixed prior to the feature freeze, since we have faaar to many other libvirt new features to deal with as higher priority. We'll still aim to get this patched before the beta release though.

Comment 6 Matthias Clasen 2009-08-03 20:23:49 UTC
I sure hope you do, since we are still aiming to obsolete PolicyKit 0.9 before the beta release...

Comment 7 Daniel Berrange 2009-08-04 13:44:12 UTC
Created attachment 356175 [details]
Fix for policy API/ABI breakage

Comment 8 Mark McLoughlin 2009-08-10 13:44:39 UTC
URL of upstream discussion:

  http://www.redhat.com/archives/libvir-list/2009-August/msg00108.html

Comment 9 Daniel Berrange 2009-08-13 15:38:44 UTC
*** Bug 515619 has been marked as a duplicate of this bug. ***

Comment 10 Daniel Berrange 2009-08-13 15:59:58 UTC
*** Bug 517112 has been marked as a duplicate of this bug. ***

Comment 11 Daniel Berrange 2009-08-13 16:00:35 UTC
Built in libvirt-0.7.0-4.fc12

Comment 12 Adam Williamson 2009-08-13 16:55:05 UTC
I can confirm that seems to work, at least as far as my bug https://bugzilla.redhat.com/show_bug.cgi?id=515619 is concerned (with the new libvirt, I don't have that problem when running virt-manager any more, it correctly starts up and asks for root privileges).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Martin Kho 2009-08-28 17:44:03 UTC
Hi,

I'm running libvirt-0.7.0.6.fc12 and don't get an authentication box. Regression?

Martin Kho

Comment 14 Martin Kho 2009-08-28 18:31:04 UTC
Re-installed libvirt-0.7.0.6.fc12 and everything seems fine now. Don't know what was wrong. Sorry for the 'spam' :-)

Martin Kho


Note You need to log in before you can comment on or make changes to this bug.